petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatRARtNumeric

Computes the matrix product C = R * A * R^T

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatRARtNumeric(Mat A,Mat R,Mat C)

Neighbor-wise Collective on Mat

### Input Parameters

| A | - the matrix
| R | - the projection matrix

### Output Parameters

C -the product matrix

### Notes

C must have been created by calling MatRARtSymbolic and must be destroyed by the user using MatDestroy().

This routine is currently only implemented for pairs of AIJ matrices and classes which inherit from AIJ. C will be of type MATAIJ.

### See Also

MatRARt(), MatRARtSymbolic(), MatMatMultNumeric()

### Level

intermediate

### Location

src/mat/interface/matrix.c

### Implementations

MatRARtNumeric_SeqAIJ_SeqAIJ_colorrart in src/mat/impls/aij/seq/matrart.c
MatRARtNumeric_SeqAIJ_SeqAIJ_matmattransposemult in src/mat/impls/aij/seq/matrart.c
MatRARtNumeric_SeqAIJ_SeqAIJ in src/mat/impls/aij/seq/matrart.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages